Bug 132339 (IT_49077) - x86 compatibility mode apps using signals crash under EM64T
Summary: x86 compatibility mode apps using signals crash under EM64T
Status: CLOSED ERRATA
Alias: IT_49077
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: ia32e
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 132991
TreeView+ depends on / blocked
 
Reported: 2004-09-11 00:57 UTC by Suresh Siddha
Modified: 2013-08-06 01:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 13:28:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Failing test case (583 bytes, text/plain)
2004-09-11 00:59 UTC, Suresh Siddha
no flags Details
Failing test case (583 bytes, text/plain)
2004-09-11 01:00 UTC, Suresh Siddha
no flags Details
Patch fixing the issue (1.28 KB, patch)
2004-09-11 01:02 UTC, Suresh Siddha
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:294 normal SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 5 2005-05-18 04:00:00 UTC

Description Suresh Siddha 2004-09-11 00:57:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Attached test case using signals crashes when run in compatibility 
mode under EM64T. Same application in native mode runs fine.

Version-Release number of selected component (if applicable):
kernel-2.4.21-20.EL

How reproducible:
Always

Steps to Reproduce:
1. compile the program sig32_test.c using -m32 flag
2. Run the program
3. 
    

Actual Results:  Either the testcase crashes with SIGSEGV or it just 
hangs.


Expected Results:  Same test case when compiled with "-m64" passes 
fine.

Additional info:

Comment 1 Suresh Siddha 2004-09-11 00:59:25 UTC
Created attachment 103709 [details]
Failing test case

# gcc -m32 sig32_test.c 
# ./a.out 
Segmentation fault
# gcc  sig32_test.c 
# ./a.out 
#

Comment 2 Suresh Siddha 2004-09-11 01:00:39 UTC
Created attachment 103710 [details]
Failing test case

# gcc -m32 sig32_test.c 
# ./a.out 
Segmentation fault
# gcc  sig32_test.c 
# ./a.out 
#

Comment 3 Suresh Siddha 2004-09-11 01:02:21 UTC
Created attachment 103711 [details]
Patch fixing the issue

Comment 8 Suresh Siddha 2004-10-21 17:54:03 UTC
Our partners product a Java Virtual Machine, does not run on RH EL 3 
(64-bit) on the EM64T platform. This is important for us to have a 32-
bit JVM run on the 64-bit OS on our EM64T enabled platforms. It runs 
without changes on the RHEL 4 (beta) on EM64T.

Sample testcase was representative of what the virtual machine uses.

Comment 10 Ernie Petrides 2004-11-23 02:19:55 UTC
Geoff Gustafson posted the patch in comment #3 on 11/10 for consideration in U5.

Comment 11 Ernie Petrides 2005-01-11 23:39:36 UTC
A fix for this problem has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.7.EL).


Comment 12 Tim Powers 2005-05-18 13:28:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html



Note You need to log in before you can comment on or make changes to this bug.